/*
 * A very simple example plugin.
 *
 * $Copyright(c) 2013 Progress Software Corporation (PSC). All rights reserved.$
 * $Copyright (c) 2013, 2018, 2022 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$
 * Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG
 *
 */

import com.apama.util.Logger;  

/**
	A very simple plugin with one method that takes and prints out a string,
	and returns another string.
*/
public class SimplePlugin
{
	private static final Logger logger = Logger.getLogger("plugins.SimplePlugin");  
	
	public static final String TEST_STRING = "Hello, World";

	public static String test(String arg)
	{
		logger.info("Called test function in SimplePlugin");
		System.out.println("SimplePlugin function test called");
		System.out.println("arg = "+arg);
		System.out.println("return value = "+TEST_STRING);
		return TEST_STRING;
	}
}
